Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 187163 - [69cat] Diff view not updated on modified file
[69cat] Diff view not updated on modified file
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Output Window
6.x
PC Windows XP
: P3 (vote)
: 7.0
Assigned To: Martin Entlicher
issues@platform
:
Depends on: 190462
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-03 19:14 UTC by ulfzibis
Modified: 2011-01-28 06:05 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ulfzibis 2010-06-03 19:14:35 UTC
[ BUILD # : 201005192201 ]
[ JDK VERSION : 1.6.20 ]

- run project
- save output as output1.txt
- run project (output should be different, at least on: (total time: yy
seconds)
- save output as output2.txt
- open diff output1.txt to output2.txt
- run project (output should be different, at least on: (total time: zz
seconds)
- save output as output1.txt (acknowledge overwrite)
--> diff view is not updated by modified output1.txt
- click Refresh in diff view
--> diff view is not updated by modified output1.txt
- change focus to other application
- change focus to NB IDE
--> diff view now is updated by modified output1.txt
Comment 1 Ondrej Vrabec 2010-06-07 09:27:03 UTC
No FS event is fired when the Save As action from Output window finishes. Could FileUtil.refreshFor be called when the action ends? That would probably resolve the problem.
Comment 2 Martin Entlicher 2011-01-21 17:27:02 UTC
Yes, FileUtil.refreshFor() solves the problem.
Comment 3 Martin Entlicher 2011-01-27 16:27:05 UTC
Fixed by changeset:   187453:d15e9e79a946
http://hg.netbeans.org/main/rev/d15e9e79a946
Comment 4 Jesse Glick 2011-01-27 20:31:57 UTC
Is this really necessary still in NB 7.0? If native FS listeners are working there should be no need to call FileUtil.refreshFor.
Comment 5 Quality Engineering 2011-01-28 06:05:02 UTC
Integrated into 'main-golden', will be available in build *201101280000* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/d15e9e79a946
User: mentlicher@netbeans.org
Log: #187163 Refresh the filesystem after save so that the output file is refreshed if it's opened in NetBeans.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo